nz-spin([nzSpinning]="loading", nzTip="Loading repositories", [nzDelay]="200")
  nz-card([nzBordered]="false")
    nz-table(#repositoryListTable, [nzData]="items")
      thead
        tr
          th Name
          th Repository url
          th(nzWidth="240px")
          th Actions
      tbody
        tr(*ngFor="let item of repositoryListTable.data; trackBy: trackIByItemId")
          td
            span.ellipsis {{ item.name }}
          td
            span {{ item.url }}
          td.flex(nz-tooltip, nzTooltipTitle="{{ tooltipText(item) }}", style="height: 60px; max-height: 100%")
            ng-container(*ngIf="isNull(item)")
              nz-progress.no-built([nzPercent]="100", [nzShowInfo]="false", style="width:240px")
            ng-container(*ngIf="hasBuilt(item)")
              nz-progress.built([nzPercent]="100", [nzShowInfo]="false", style="{{ calculateProgressWidth(item, item?.scanResult?.bar?.modules_success) }}")
            ng-container(*ngIf="hasBuilding(item)")
              nz-progress.building([nzPercent]="100", [nzShowInfo]="false", style="{{ calculateProgressWidth(item, item?.scanResult?.bar?.modules_in_progress) }}")
            ng-container(*ngIf="hasError(item)")
              nz-progress.error([nzPercent]="100", [nzShowInfo]="false", style="{{ calculateProgressWidth(item, item?.scanResult?.bar?.modules_error) }}")
            ng-container(*ngIf="hasNonBuilt(item)")
              nz-progress.no-built([nzPercent]="100", [nzShowInfo]="false", style="{{ calculateProgressWidth(item, item?.scanResult?.bar?.modules_ready) }}")
          td
            ryax-action-button.mr1(size="small" , icon="scan", label="Scan repository", [routerLink]="[item.id, 'scan']")
            ryax-action-button.mr1(size="small", shape="circle", icon="edit", tooltipText="Edit repository", (click)="onEditInfos(item)")
            ryax-confirm-button(size="small", shape="circle", icon="delete", iconColor="red", tooltipText="Delete repository"
              confirmText="Delete this repository ?", confirmOkText="Delete", (confirmOk)="onDelete(item)")

